GNU logs - #997, boring messages


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: don@HIDDEN
Subject: bug#997: perl mode blows "'" etc.
Reply-To: jidanni@HIDDEN, 997 <at> debbugs.gnu.org
Resent-From: jidanni@HIDDEN
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Thu, 18 Sep 2008 13:25:04 +0000
Resent-Message-ID: <handler.997.B.122174375217073@HIDDEN>
Resent-Sender: don@HIDDEN
X-Emacs-PR-Message: report 997
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by submit@HIDDEN id=B.122174375217073
          (code B ref -1); Thu, 18 Sep 2008 13:25:04 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-4.7 required=4.0 tests=AWL,BAYES_00,
	RCVD_IN_DNSWL_LOW autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 18 Sep 2008 13:15:52 +0000
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m8IDFlBR017067
	for <submit@HIDDEN>; Thu, 18 Sep 2008 06:15:49 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1KgJMJ-00059z-FB
	for bug-gnu-emacs@HIDDEN; Thu, 18 Sep 2008 09:15:47 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1KgJMH-00059F-Bm
	for bug-gnu-emacs@HIDDEN; Thu, 18 Sep 2008 09:15:46 -0400
Received: from [199.232.76.173] (port=54255 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1KgJMH-00059C-5j
	for bug-gnu-emacs@HIDDEN; Thu, 18 Sep 2008 09:15:45 -0400
Received: from lax-green-bigip-5.dreamhost.com ([208.113.200.5]:39902 helo=blingymail-a2.g.dreamhost.com)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <jidanni@HIDDEN>)
	id 1KgJMG-0002O2-IA
	for bug-gnu-emacs@HIDDEN; Thu, 18 Sep 2008 09:15:44 -0400
Received: from jidanni2.jidanni.org (122-127-39-193.dynamic.hinet.net [122.127.39.193])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(No client certificate requested)
	by blingymail-a2.g.dreamhost.com (Postfix) with ESMTP id 1781C404B5
	for <bug-gnu-emacs@HIDDEN>; Thu, 18 Sep 2008 06:15:40 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
From: jidanni@HIDDEN
Date: Thu, 18 Sep 2008 21:15:14 +0800
Message-ID: <871vzhoasd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 1)

Perl mode screws up bad with this file. Cperl mode gets it better.
$ perl -c p.pl
p.pl syntax OK
$ cat p.pl
/this is a perl program to demonstrate emacs's wacky color biz/;
/this line is in the wrong color until here'/; #///
/\b.*\bpic(ture)?s\b/;
/this line is in the wrong color/;
#this comment turns back on emacs correct color: \b\b
/this line is in the right color/;
/but not this line until the end\/;/m;
$ emacs -Q p.pl
Anyway, one usually ends up having to stick in special comments with
some / ; ` ' etc. in them lest large tracts of code become the wrong
color. emacs-version "22.2.1"





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: don@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: jidanni@HIDDEN
Subject: bug#997: Acknowledgement (perl mode blows "'" etc.)
Message-ID: <handler.997.B.122174375217073.ack@HIDDEN>
References: <871vzhoasd.fsf@HIDDEN>
X-Emacs-PR-Message: ack 997
X-Emacs-PR-Package: emacs
Reply-To: 997 <at> debbugs.gnu.org


Thank you for filing a new bug report with Emacs.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 997 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
997: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D997
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 9 Jul 2017 18:50:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 09 14:50:09 2017
Received: from localhost ([127.0.0.1]:59152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dUHHV-0007qR-Mi
	for submit <at> debbugs.gnu.org; Sun, 09 Jul 2017 14:50:09 -0400
Received: from mail-it0-f48.google.com ([209.85.214.48]:36003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dUHHU-0007qF-Kt
 for control <at> debbugs.gnu.org; Sun, 09 Jul 2017 14:50:08 -0400
Received: by mail-it0-f48.google.com with SMTP id m68so16535449ith.1
 for <control <at> debbugs.gnu.org>; Sun, 09 Jul 2017 11:50:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:subject:date:message-id:mime-version;
 bh=EA0ebIwhQM1K667sRxuKVDThaxKgjGi8MBSxXx1PE6Q=;
 b=U4FYJ+6S0w+5zanERKS1muywElQa4jn1woKouGJBRj2QD26hACFCskoJVWB8694ocE
 qxdGfu7gYfwZsNwC5sTeVdWLS/UOd/NJYbSnxytKiVEKH4jlNa7hDfYKlGQ00uANXnlr
 DVIKBsI6L5I0wgj8aZvliq1A6JmPg/VyFRUHPEFbRBovU7NLcTkGLGFeAMZqmnH8xjdg
 ukaZCCryz1awnI4kyrYXfzskIeVlb+/8pUaY7xNcpksdSQrHqyolm0R1CkoawipO6NWJ
 Hol/rrHInwfhCukMLLgJpf31CXOvuXvhRIy576Z5zdq5MbK4feUskCFTqUJBFR85/w0F
 RMMA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:subject:date:message-id
 :mime-version;
 bh=EA0ebIwhQM1K667sRxuKVDThaxKgjGi8MBSxXx1PE6Q=;
 b=HL7AxPEhQteTCxKFR+9LEG0le2mLDgM3+ThoPwIehnNCFIjgO93KDFArQa/6XA6tHa
 31F55HzFUgMr4C158k8OIUDnbMzYs0nSctcJ6lAqvWBS54eLsvWEAkVFSxKN4BLDjH8r
 d1klH5AaM+Ik82sKpdhUG7NOlJ+4qqFmQmZSBakm8FU1x0ZAs/k7a6HbptpcqfH7iOeM
 0dUgAlPwbVB7sG7fQLRvJXkGhGtJ1pRRMo9t6++58+bSQ8GoC8HTC24rOxb8bI8inHDv
 D5LxwAJ/lAkNqSfE9OwvsmE2JKqx5fib59ZpfvFqkBXgVbdyeXPtDk0B6Xn+luMBh8Ij
 JzLA==
X-Gm-Message-State: AIVw111VL3/MKCNwlAUXbQwT1+51n73j2P1gjXg0kmbfsBplyt22qH0Z
 KoO60GCO4obZIQvv
X-Received: by 10.36.51.82 with SMTP id k79mr8404915itk.32.1499626202795;
 Sun, 09 Jul 2017 11:50:02 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id k16sm2973063itb.1.2017.07.09.11.50.02
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 09 Jul 2017 11:50:02 -0700 (PDT)
From: npostavs@HIDDEN
To: control <at> debbugs.gnu.org
Subject: control message for bug #997
Date: Sun, 09 Jul 2017 14:51:35 -0400
Message-ID: <8760f1h2a0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

merge 997 26850
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#997: perl mode blows "'" etc.
Resent-From: Stefan Kangas <stefan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 29 Feb 2020 02:59:01 +0000
Resent-Message-ID: <handler.997.B997.15829451273336 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 997
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: jidanni@HIDDEN
Cc: 997 <at> debbugs.gnu.org
Received: via spool by 997-submit <at> debbugs.gnu.org id=B997.15829451273336
          (code B ref 997); Sat, 29 Feb 2020 02:59:01 +0000
Received: (at 997) by debbugs.gnu.org; 29 Feb 2020 02:58:47 +0000
Received: from localhost ([127.0.0.1]:34024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7sL1-0000rj-9w
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 21:58:47 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:54486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1j7sKx-0000rK-4S; Fri, 28 Feb 2020 21:58:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Rvd3hCyM8G+ryGVWy0Nee6gfe1E/EXf6ZLENC2V2zIE=; b=TyU+I0GYiSSAsfRxdovGkVsgUw
 XKol6iUeOOFzA7YPQdMI4epDCIHFuvFF2UEgOLueHyMieKTLNFnVZtsRolR30/Cx65+VwD50QEwqZ
 VwOSG/H4uKL3O0IB9RcV7Aq10RxPowIQuzuSWRFYVva5zNYEGtj+oHClp+bjWga8L3aRKPfTte/HW
 7ilE+Fe0NJQTp2EAFe75S5oYl1eSrmdRxGl5soS/GxVpf+5TNJBYj7azerG05KLyI48sOKChdgtOx
 AE1ppFw8SZn1ZYdLaGVLInHNI/B7KicA62S0nztlsck1tmBD4AoUnrnEXK5OpjfU6dE8UHsBbF4BV
 eilyD2NQ==;
Received: from h-4-70-69.a785.priv.bahnhof.se ([155.4.70.69]:44392
 helo=localhost) by ted.gofardesign.uk with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stefan@HIDDEN>)
 id 1j7sKq-001PoC-W8; Fri, 28 Feb 2020 21:58:37 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <871vzhoasd.fsf@HIDDEN> (jidanni's message of "Thu, 18 Sep
 2008 21:15:14 +0800")
References: <871vzhoasd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Sat, 29 Feb 2020 03:58:35 +0100
Message-ID: <87a75285gk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

title 997 Incorrect perl-mode syntax highlighting in some cases (e.g. using "'")
tags 997 confirmed
found 997 28.0.50
thanks

jidanni@HIDDEN writes:

> Perl mode screws up bad with this file. Cperl mode gets it better.
> $ perl -c p.pl
> p.pl syntax OK
> $ cat p.pl
> /this is a perl program to demonstrate emacs's wacky color biz/;
> /this line is in the wrong color until here'/; #///

I can reproduce this on current master (28.0.50).

Open a file like this using perl-mode under emacs -Q to see the
incorrect highlighting:

/correct 'incorrect/;
/incorrect' correct/;

The problem goes away if the file looks like this instead:

$foo =~ /foobar/;
/correct 'incorrect/;
/incorrect 'correct/;

> /\b.*\bpic(ture)?s\b/;
> /this line is in the wrong color/;
> #this comment turns back on emacs correct color: \b\b
> /this line is in the right color/;
> /but not this line until the end\/;/m;

I see some incorrect highlighting in this example too.  Adding the
"$foo =~ /foobar/;" line from above seems to fix it here too.

> $ emacs -Q p.pl
> Anyway, one usually ends up having to stick in special comments with
> some / ; ` ' etc. in them lest large tracts of code become the wrong
> color. emacs-version "22.2.1"

I tried inserting the problematic lines into a larger Perl file, but I
couldn't reproduce the issue.  I'm not sure if that means that the
incorrect coloring only happens when these lines are inserted at the
very beginning of a file.

Best regards,
Stefan Kangas




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 29 Feb 2020 02:58:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 21:58:47 2020
Received: from localhost ([127.0.0.1]:34026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7sL1-0000rl-HP
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 21:58:47 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:54486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1j7sKx-0000rK-4S; Fri, 28 Feb 2020 21:58:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Rvd3hCyM8G+ryGVWy0Nee6gfe1E/EXf6ZLENC2V2zIE=; b=TyU+I0GYiSSAsfRxdovGkVsgUw
 XKol6iUeOOFzA7YPQdMI4epDCIHFuvFF2UEgOLueHyMieKTLNFnVZtsRolR30/Cx65+VwD50QEwqZ
 VwOSG/H4uKL3O0IB9RcV7Aq10RxPowIQuzuSWRFYVva5zNYEGtj+oHClp+bjWga8L3aRKPfTte/HW
 7ilE+Fe0NJQTp2EAFe75S5oYl1eSrmdRxGl5soS/GxVpf+5TNJBYj7azerG05KLyI48sOKChdgtOx
 AE1ppFw8SZn1ZYdLaGVLInHNI/B7KicA62S0nztlsck1tmBD4AoUnrnEXK5OpjfU6dE8UHsBbF4BV
 eilyD2NQ==;
Received: from h-4-70-69.a785.priv.bahnhof.se ([155.4.70.69]:44392
 helo=localhost) by ted.gofardesign.uk with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stefan@HIDDEN>)
 id 1j7sKq-001PoC-W8; Fri, 28 Feb 2020 21:58:37 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#997: perl mode blows "'" etc.
In-Reply-To: <871vzhoasd.fsf@HIDDEN> (jidanni's message of "Thu, 18 Sep
 2008 21:15:14 +0800")
References: <871vzhoasd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Sat, 29 Feb 2020 03:58:35 +0100
Message-ID: <87a75285gk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 997 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

title 997 Incorrect perl-mode syntax highlighting in some cases (e.g. using "'")
tags 997 confirmed
found 997 28.0.50
thanks

jidanni@HIDDEN writes:

> Perl mode screws up bad with this file. Cperl mode gets it better.
> $ perl -c p.pl
> p.pl syntax OK
> $ cat p.pl
> /this is a perl program to demonstrate emacs's wacky color biz/;
> /this line is in the wrong color until here'/; #///

I can reproduce this on current master (28.0.50).

Open a file like this using perl-mode under emacs -Q to see the
incorrect highlighting:

/correct 'incorrect/;
/incorrect' correct/;

The problem goes away if the file looks like this instead:

$foo =~ /foobar/;
/correct 'incorrect/;
/incorrect 'correct/;

> /\b.*\bpic(ture)?s\b/;
> /this line is in the wrong color/;
> #this comment turns back on emacs correct color: \b\b
> /this line is in the right color/;
> /but not this line until the end\/;/m;

I see some incorrect highlighting in this example too.  Adding the
"$foo =~ /foobar/;" line from above seems to fix it here too.

> $ emacs -Q p.pl
> Anyway, one usually ends up having to stick in special comments with
> some / ; ` ' etc. in them lest large tracts of code become the wrong
> color. emacs-version "22.2.1"

I tried inserting the problematic lines into a larger Perl file, but I
couldn't reproduce the issue.  I'm not sure if that means that the
incorrect coloring only happens when these lines are inserted at the
very beginning of a file.

Best regards,
Stefan Kangas




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 29 Feb 2020 02:58:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 21:58:47 2020
Received: from localhost ([127.0.0.1]:34026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7sL1-0000rl-HP
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 21:58:47 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:54486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1j7sKx-0000rK-4S; Fri, 28 Feb 2020 21:58:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Rvd3hCyM8G+ryGVWy0Nee6gfe1E/EXf6ZLENC2V2zIE=; b=TyU+I0GYiSSAsfRxdovGkVsgUw
 XKol6iUeOOFzA7YPQdMI4epDCIHFuvFF2UEgOLueHyMieKTLNFnVZtsRolR30/Cx65+VwD50QEwqZ
 VwOSG/H4uKL3O0IB9RcV7Aq10RxPowIQuzuSWRFYVva5zNYEGtj+oHClp+bjWga8L3aRKPfTte/HW
 7ilE+Fe0NJQTp2EAFe75S5oYl1eSrmdRxGl5soS/GxVpf+5TNJBYj7azerG05KLyI48sOKChdgtOx
 AE1ppFw8SZn1ZYdLaGVLInHNI/B7KicA62S0nztlsck1tmBD4AoUnrnEXK5OpjfU6dE8UHsBbF4BV
 eilyD2NQ==;
Received: from h-4-70-69.a785.priv.bahnhof.se ([155.4.70.69]:44392
 helo=localhost) by ted.gofardesign.uk with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stefan@HIDDEN>)
 id 1j7sKq-001PoC-W8; Fri, 28 Feb 2020 21:58:37 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#997: perl mode blows "'" etc.
In-Reply-To: <871vzhoasd.fsf@HIDDEN> (jidanni's message of "Thu, 18 Sep
 2008 21:15:14 +0800")
References: <871vzhoasd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Sat, 29 Feb 2020 03:58:35 +0100
Message-ID: <87a75285gk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 997 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

title 997 Incorrect perl-mode syntax highlighting in some cases (e.g. using "'")
tags 997 confirmed
found 997 28.0.50
thanks

jidanni@HIDDEN writes:

> Perl mode screws up bad with this file. Cperl mode gets it better.
> $ perl -c p.pl
> p.pl syntax OK
> $ cat p.pl
> /this is a perl program to demonstrate emacs's wacky color biz/;
> /this line is in the wrong color until here'/; #///

I can reproduce this on current master (28.0.50).

Open a file like this using perl-mode under emacs -Q to see the
incorrect highlighting:

/correct 'incorrect/;
/incorrect' correct/;

The problem goes away if the file looks like this instead:

$foo =~ /foobar/;
/correct 'incorrect/;
/incorrect 'correct/;

> /\b.*\bpic(ture)?s\b/;
> /this line is in the wrong color/;
> #this comment turns back on emacs correct color: \b\b
> /this line is in the right color/;
> /but not this line until the end\/;/m;

I see some incorrect highlighting in this example too.  Adding the
"$foo =~ /foobar/;" line from above seems to fix it here too.

> $ emacs -Q p.pl
> Anyway, one usually ends up having to stick in special comments with
> some / ; ` ' etc. in them lest large tracts of code become the wrong
> color. emacs-version "22.2.1"

I tried inserting the problematic lines into a larger Perl file, but I
couldn't reproduce the issue.  I'm not sure if that means that the
incorrect coloring only happens when these lines are inserted at the
very beginning of a file.

Best regards,
Stefan Kangas




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#997: perl mode blows "'" etc.
In-Reply-To: <871vzhoasd.fsf@HIDDEN>
Resent-From: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 29 Feb 2020 03:13:02 +0000
Resent-Message-ID: <handler.997.B997.158294595212483 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 997
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: confirmed
To: Stefan Kangas <stefan@HIDDEN>
Cc: 997 <at> debbugs.gnu.org
Received: via spool by 997-submit <at> debbugs.gnu.org id=B997.158294595212483
          (code B ref 997); Sat, 29 Feb 2020 03:13:02 +0000
Received: (at 997) by debbugs.gnu.org; 29 Feb 2020 03:12:32 +0000
Received: from localhost ([127.0.0.1]:34041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7sYK-0003FE-0W
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2020 22:12:32 -0500
Received: from bisque.elm.relay.mailchannels.net ([23.83.212.18]:47835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1j7sYH-0003F4-3n
 for 997 <at> debbugs.gnu.org; Fri, 28 Feb 2020 22:12:29 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id EA6864009DB;
 Sat, 29 Feb 2020 03:12:27 +0000 (UTC)
Received: from pdx1-sub0-mail-a58.g.dreamhost.com
 (100-96-1-27.trex.outbound.svc.cluster.local [100.96.1.27])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 514C5400734;
 Sat, 29 Feb 2020 03:12:27 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a58.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sat, 29 Feb 2020 03:12:27 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Whimsical-Broad: 03c5a7d033922660_1582945947729_3647584190
X-MC-Loop-Signature: 1582945947729:3473634105
X-MC-Ingress-Time: 1582945947729
Received: from pdx1-sub0-mail-a58.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a58.g.dreamhost.com (Postfix) with ESMTP id 3712F823C5;
 Fri, 28 Feb 2020 19:12:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=nT9a7dkPyXHPrlbWzXWbydPuDt4=; b=OEVjdgGZ+Od06
 bSFYI4kcTn9YuRuDrRwp11WXhT3W7TNoM2pH2hHDGawSlxPSqTLEHvbbTv9nl5OM
 +cuOGOFoQ4DZ67axC4X9GjZGKdDwPn5NDK/qOt/VZ+KJ2XJk9L2p60zef0Q1+pLK
 RIYbi6OXDB+SAoCb2FsDoRyrfj9vNw=
Received: from jidanni.org (111-246-84-203.dynamic-ip.hinet.net
 [111.246.84.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a58.g.dreamhost.com (Postfix) with ESMTPSA id 881548275A;
 Fri, 28 Feb 2020 19:12:24 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a58
From: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
References: <871vzhoasd.fsf@HIDDEN> <87a75285gk.fsf@HIDDEN>
Date: Sat, 29 Feb 2020 11:12:20 +0800
Message-ID: <87mu92xf1n.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrleelgdehvdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffufhffkfggtgesthdtredttddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecukfhppeduuddurddvgeeirdekgedrvddtfeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehjihgurghnnhhirdhorhhgpdhinhgvthepudduuddrvdegiedrkeegrddvtdefpdhrvghtuhhrnhdqphgrthhhpeeprehuthhfqdekreeureehiehmpfehnfhiheehsgevkeerpecuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqpdhmrghilhhfrhhomhepjhhiuggrnhhnihesjhhiuggrnhhnihdrohhrghdpnhhrtghpthhtohepleeljeesuggvsggsuhhgshdrghhnuhdrohhrgh
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "SK" == Stefan Kangas <stefan@HIDDEN> writes:
SK> I tried inserting the problematic lines into a larger Perl file, but I
SK> couldn't reproduce the issue.  I'm not sure if that means that the
SK> incorrect coloring only happens when these lines are inserted at the
SK> very beginning of a file.

Well I would just say 'See, reproducible!', and not test further
(e.g., beginning, end, middle of file.)




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 16 Nov 2020 23:23:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 18:23:00 2020
Received: from localhost ([127.0.0.1]:57739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kenpr-00034F-U6
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 18:23:00 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kenpq-000342-Bl
 for control <at> debbugs.gnu.org; Mon, 16 Nov 2020 18:22:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=gcTxl4DjcTqiU9SmiL3LgwPpU3Xv4ez4KWrdFiQ3z+U=; b=g1NhLXArRXx5j3IWYlknyf/BiB
 uyC2azr+gbZRjONj5CxAzrEE02T/UPCrffeEjPIRai7Nm9CHmn7V5d3WspHjqV1KdxWXX/N4FUo5E
 jgV7/23/Lro+GJh9yd2xWaAaz56tCFhlidSCE2AdlxIknKwAnLhss5+c6mb1fTtc/7YE=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kenpi-0007Dv-1E
 for control <at> debbugs.gnu.org; Tue, 17 Nov 2020 00:22:52 +0100
Date: Tue, 17 Nov 2020 00:22:48 +0100
Message-Id: <87mtzgsx87.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #26745
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  forcemerge 26745 26850 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 26745 26850
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 16 Nov 2020 23:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 18:25:18 2020
Received: from localhost ([127.0.0.1]:57748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kens6-00038q-5z
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 18:25:18 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kens4-00038d-Ij
 for control <at> debbugs.gnu.org; Mon, 16 Nov 2020 18:25:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=53a6Btd31po0vt1Cuum12d5AID67DivYL9tiMflXh5I=; b=MZy6/H1QNDm8W6d9bbWhPdAshv
 nlvPJ2GxlZg249v3CZ/MahJoRumH6ut2kgKKuoWR+bs0EEfpWpoU93UXi4q/FzYu3ifvRlDIONu8o
 WPTQT8JSZWecMH0UQVAEHfHQ1rr/31OdizPF5yvN3c1h0XeLT5jjYBqqHGmNNoJ/LeTI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kenrw-0007Hn-Sn
 for control <at> debbugs.gnu.org; Tue, 17 Nov 2020 00:25:11 +0100
Date: Tue, 17 Nov 2020 00:25:07 +0100
Message-Id: <87k0uksx4c.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #26850
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 26850 fixed close 26850 28.1 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 26850 fixed
close 26850 28.1
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 16 Nov 2020 23:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 18:25:18 2020
Received: from localhost ([127.0.0.1]:57748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kens6-00038q-5z
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 18:25:18 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kens4-00038d-Ij
 for control <at> debbugs.gnu.org; Mon, 16 Nov 2020 18:25:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=53a6Btd31po0vt1Cuum12d5AID67DivYL9tiMflXh5I=; b=MZy6/H1QNDm8W6d9bbWhPdAshv
 nlvPJ2GxlZg249v3CZ/MahJoRumH6ut2kgKKuoWR+bs0EEfpWpoU93UXi4q/FzYu3ifvRlDIONu8o
 WPTQT8JSZWecMH0UQVAEHfHQ1rr/31OdizPF5yvN3c1h0XeLT5jjYBqqHGmNNoJ/LeTI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kenrw-0007Hn-Sn
 for control <at> debbugs.gnu.org; Tue, 17 Nov 2020 00:25:11 +0100
Date: Tue, 17 Nov 2020 00:25:07 +0100
Message-Id: <87k0uksx4c.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #26850
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 26850 fixed close 26850 28.1 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 26850 fixed
close 26850 28.1
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#997: perl-mode: Merging was not quite correct
References: <871vzhoasd.fsf@HIDDEN>
In-Reply-To: <871vzhoasd.fsf@HIDDEN>
Resent-From: haj@HIDDEN (Harald =?UTF-8?Q?J=C3=B6rg?=)
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 17 Nov 2020 17:53:02 +0000
Resent-Message-ID: <handler.997.B997.16056355325897 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 997
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: fixed confirmed
To: 997 <at> debbugs.gnu.org
Received: via spool by 997-submit <at> debbugs.gnu.org id=B997.16056355325897
          (code B ref 997); Tue, 17 Nov 2020 17:53:02 +0000
Received: (at 997) by debbugs.gnu.org; 17 Nov 2020 17:52:12 +0000
Received: from localhost ([127.0.0.1]:32848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kf59I-0001X3-0M
	for submit <at> debbugs.gnu.org; Tue, 17 Nov 2020 12:52:12 -0500
Received: from mout01.posteo.de ([185.67.36.65]:39084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1kf59E-0001Wo-Cp
 for 997 <at> debbugs.gnu.org; Tue, 17 Nov 2020 12:52:10 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 9142E16005C
 for <997 <at> debbugs.gnu.org>; Tue, 17 Nov 2020 18:52:01 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1605635521; bh=pcTHYH02/MrVyaIaPXnF+EwYHdyP8tvpiGco2b7wL8Q=;
 h=From:To:Subject:Date:From;
 b=FnQ0DP+h+FaMg9zMp4vWRV4YwNzMLWflHu6lH+HjdEwys0zy+oVtshDgSD6ndFq0N
 j0p+/jBsIsd3cQ1MbVtd8j4THGYT65KC9t+SS5JyjsKRvMB3Du/kYcXqRn1P08Tqhk
 XY30WUN9HlAlYmHd6HiSGTEdhomlw6jBP9z7KORoXgaa5QHPBwnRFUVmb88eIhSXHx
 ZlThxvqLqsEJdkKH/KNw9nwXAHgTk84/GQLwyMKU7vZOclPNxbLRU1k/fWHefO04Xa
 qxHgSKa8AphiTD2cfmJK4+//4022OvVGKWGmLmoiSzNUlRC1ewPN4YmnpfLBweK/HN
 nSySRmIwWVF8w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CbD6873fKz6tmR
 for <997 <at> debbugs.gnu.org>; Tue, 17 Nov 2020 18:52:00 +0100 (CET)
From: haj@HIDDEN (Harald =?UTF-8?Q?J=C3=B6rg?=)
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Tue, 17 Nov 2020 18:52:00 +0100
Message-ID: <87tutn98hr.fsf@hajtower>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

unmerge 997
reopen 997
thanks

So that's another attempt to exercise my super powers...

It turns out that 997, which had been merged with 26850, is actually a
different issue, and it is not fixed by the recent patch which
successfully dealt with Bug#26850 and Bug#26745 for Perl mode.
CPerl mode handles the examples correctly.

The issues are all related to each other because they all deal with the
difficulties to distinguish between a slash as a division sign and a
slash as a regex introduction.  The apostrophe "'" is a red herring - it
increases the visibility of the bug, but isn't the root cause.

Right now, Perl mode tries to detect regexes based on what's before
them.  Therefore, 26850 could be fixed by adding "return" to the stuff
which can occur before a regex.  However, the examples in this bug
demonstrate regexes with *nothing* before them: Regular expressions can
start a statement just fine, they have a return value and set some
variables as side effects.

Correctly detecting "nothing" in a regex needs some care.  So I'd like
to treat this as a separate bug which remains open for now.
-- 
Cheers,
haj




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#997: perl-mode: Merging was not quite correct
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 19 Nov 2020 16:09:02 +0000
Resent-Message-ID: <handler.997.B997.16058020874776 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 997
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: fixed confirmed
To: haj@HIDDEN (Harald =?UTF-8?Q?J=C3=B6rg?=)
Cc: 997 <at> debbugs.gnu.org
Received: via spool by 997-submit <at> debbugs.gnu.org id=B997.16058020874776
          (code B ref 997); Thu, 19 Nov 2020 16:09:02 +0000
Received: (at 997) by debbugs.gnu.org; 19 Nov 2020 16:08:07 +0000
Received: from localhost ([127.0.0.1]:40737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kfmTf-0001Ey-0M
	for submit <at> debbugs.gnu.org; Thu, 19 Nov 2020 11:08:07 -0500
Received: from mail-qk1-f173.google.com ([209.85.222.173]:42199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1kfmTd-0001ES-Ck
 for 997 <at> debbugs.gnu.org; Thu, 19 Nov 2020 11:08:05 -0500
Received: by mail-qk1-f173.google.com with SMTP id 199so5802721qkg.9
 for <997 <at> debbugs.gnu.org>; Thu, 19 Nov 2020 08:08:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=/8Oj9eohzYdu7Cemk885VifhKC6lwTG+Pa5btCyv1R4=;
 b=JXcNqo/24+RuySVkJ0Q1Vxtbe0Qo4ZLx8QC8VtPEXfnnkj5tw4Gg5tBUXfJmAhNFWf
 kwgKz46NTHryvnSqbMTJpJWz/gRinfgaOuQEsfN2mpE2+T7tklU8rNJ8aIxfjRKQCanP
 fWTnsf30pJ2kqHGn5mdJ9o7PCskXL4zKOMTW1G3J2btEdooFx5QOPNcBxmibtFF8sItz
 IDN5JAZR659uXfG+KkfZ9jJ8slk4KTlKYZjGocJ3K7cK6giqIse6uNR2hCTZBJUZKAZ6
 mI+zdjOjZfpZ3VKU0gyWrHjBr9Q+SzaMFm/kbL4DD8wvv7iXgGvyvGT2wckOw3m8xq3B
 JUOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=/8Oj9eohzYdu7Cemk885VifhKC6lwTG+Pa5btCyv1R4=;
 b=SdMAXJusuE1CkEVGmd+RZPrwq53X7j2n8JQt9H7Qnjdd/u1JpSm4E8ISGFOCR/yzKA
 TFJ9CjXmJT/3kPUpX7Z/JNLbOcRAX03Kqf2Mjhckz6SQ+Ezdo0dc5jp39G7xQT/cg9IK
 c4ErBEVFGcfwNVjWi8/o2Pv9Hez1jfGPuisc3EKSlmw8QMAn/SvXwBJrlnbqT2Cehl+a
 emAEcbKtzsRi1bS7pWu2mwX66jXJ6j2yZk74esIWlAVYDrq3bxc1cHJpR8qKWr6nDQ8J
 QV04Puq0xEXzHoaoDR9s/QAbbeioBg2Qbgg5iymXd8GGioep8lzZiGVSaXDJ2paFZ9ca
 hRmA==
X-Gm-Message-State: AOAM531jm5ELX23yXjcIesQVOOF276CJ+wHDEllzqIKePT/xxyLiFIBh
 U3dMvHrjosxJ93YYZ/1KZVhpr7Xa2hs=
X-Google-Smtp-Source: ABdhPJyYpILlloH4quj/009I6C5RvhTGKA91ej6/t7NugpByaV+RMC0XvjKe8h6iQvLKEflwvTuAuQ==
X-Received: by 2002:a37:a88f:: with SMTP id
 r137mr12552038qke.437.1605802079721; 
 Thu, 19 Nov 2020 08:07:59 -0800 (PST)
Received: from vhost2
 (cpe001143542e1f-cmf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id h26sm104793qkh.127.2020.11.19.08.07.58
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 19 Nov 2020 08:07:58 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
In-Reply-To: <87tutn98hr.fsf@hajtower> ("Harald
 \=\?iso-8859-1\?Q\?J\=F6rg\=22's\?\= message of "Tue, 17
 Nov 2020 18:52:00 +0100")
References: <871vzhoasd.fsf@HIDDEN> <87tutn98hr.fsf@hajtower>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
Date: Thu, 19 Nov 2020 11:07:59 -0500
Message-ID: <855z61jpnk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

haj@HIDDEN (Harald J=F6rg) writes:

> unmerge 997
> reopen 997
> thanks
>
> So that's another attempt to exercise my super powers...

You have to send that text to control <at> debbugs.gnu.org in order for it to
take effect (generally if you do this as part of a public bug message,
you should use Bcc for that to avoid follow-ups from also going to
control; which is why you don't see that destination address when other
people do it).




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#997: perl-mode: Un-merging an unrelated bug
References: <871vzhoasd.fsf@HIDDEN>
In-Reply-To: <871vzhoasd.fsf@HIDDEN>
Resent-From: haj@HIDDEN (Harald =?UTF-8?Q?J=C3=B6rg?=)
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 19 Nov 2020 17:08:01 +0000
Resent-Message-ID: <handler.997.B997.160580563410605 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 997
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: fixed confirmed
To: 997 <at> debbugs.gnu.org
Cc: Noam Postavsky <npostavs@HIDDEN>
Received: via spool by 997-submit <at> debbugs.gnu.org id=B997.160580563410605
          (code B ref 997); Thu, 19 Nov 2020 17:08:01 +0000
Received: (at 997) by debbugs.gnu.org; 19 Nov 2020 17:07:14 +0000
Received: from localhost ([127.0.0.1]:40830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kfnOs-0002ky-HK
	for submit <at> debbugs.gnu.org; Thu, 19 Nov 2020 12:07:14 -0500
Received: from mout01.posteo.de ([185.67.36.65]:51034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1kfnOp-0002ke-UD
 for 997 <at> debbugs.gnu.org; Thu, 19 Nov 2020 12:07:12 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 8D65116006E
 for <997 <at> debbugs.gnu.org>; Thu, 19 Nov 2020 18:07:05 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1605805625; bh=cyrbQeQ1J1rOBVxMg3jkZvkl6a1YUuwXsx/LK5PT/KA=;
 h=From:To:Cc:Subject:Date:From;
 b=gWeEAh6s9qW2Mn7LArLZANUvhIYT7Ge2YQ4kqq4VHBvqdOy3WS/1NBj/2wkDmUa3q
 aoRktbqxwYSN5TRKK8jzsCcUAUrD2VECrgQk+H3Yl8CbtMQ4W0rq22EZcHMeP462Mm
 eLSfZwwCUf5QlH41MNA+nMcbPAzgXifpo0wKkBmpa6j4tR1e/QrrcBjjByXYE1h+S1
 mRqbdL0YqG4anGhvEFiPkys7fjtMBmx+vcmv7GLDFzcAaNhFgYu/bskyL1ktReAZd+
 sxk3XmjcntMPVWh/3mAJ5cDs2yqt1hvLx/lP1IOTSoqIIT5UppRl/Ixq214rXmq9y9
 ezkJzCotvhZ9w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CcR1N6fRtz9rxK;
 Thu, 19 Nov 2020 18:07:04 +0100 (CET)
From: haj@HIDDEN (Harald =?UTF-8?Q?J=C3=B6rg?=)
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Thu, 19 Nov 2020 18:07:04 +0100
Message-ID: <87lfex6zt3.fsf@hajtower>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

unmerge 997
reopen 997
thanks

See my previous message for an explanation why I want to unmerge, and
Noam Postavsky's clarification (thank you!) why I'm sending this again,
now Bcc'ed to control <at> debbugs.gnu.org.

One day I'll be familiar enough with these procedures... I hope.
-- 
Cheers,
haj




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 19 Nov 2020 17:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 19 12:07:15 2020
Received: from localhost ([127.0.0.1]:40832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kfnOs-0002l0-Qj
	for submit <at> debbugs.gnu.org; Thu, 19 Nov 2020 12:07:15 -0500
Received: from mout01.posteo.de ([185.67.36.65]:42310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1kfnOp-0002kd-Uk
 for control <at> debbugs.gnu.org; Thu, 19 Nov 2020 12:07:12 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 8D54116006C
 for <control <at> debbugs.gnu.org>; Thu, 19 Nov 2020 18:07:05 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1605805625; bh=cyrbQeQ1J1rOBVxMg3jkZvkl6a1YUuwXsx/LK5PT/KA=;
 h=From:To:Cc:Subject:Date:From;
 b=gWeEAh6s9qW2Mn7LArLZANUvhIYT7Ge2YQ4kqq4VHBvqdOy3WS/1NBj/2wkDmUa3q
 aoRktbqxwYSN5TRKK8jzsCcUAUrD2VECrgQk+H3Yl8CbtMQ4W0rq22EZcHMeP462Mm
 eLSfZwwCUf5QlH41MNA+nMcbPAzgXifpo0wKkBmpa6j4tR1e/QrrcBjjByXYE1h+S1
 mRqbdL0YqG4anGhvEFiPkys7fjtMBmx+vcmv7GLDFzcAaNhFgYu/bskyL1ktReAZd+
 sxk3XmjcntMPVWh/3mAJ5cDs2yqt1hvLx/lP1IOTSoqIIT5UppRl/Ixq214rXmq9y9
 ezkJzCotvhZ9w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CcR1N6fRtz9rxK;
 Thu, 19 Nov 2020 18:07:04 +0100 (CET)
From: haj@HIDDEN (Harald =?utf-8?Q?J=C3=B6rg?=)
To: 997 <at> debbugs.gnu.org
Subject: perl-mode: Un-merging an unrelated bug
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Thu, 19 Nov 2020 18:07:04 +0100
Message-ID: <87lfex6zt3.fsf@hajtower>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
Cc: Noam Postavsky <npostavs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

unmerge 997
reopen 997
thanks

See my previous message for an explanation why I want to unmerge, and
Noam Postavsky's clarification (thank you!) why I'm sending this again,
now Bcc'ed to control <at> debbugs.gnu.org.

One day I'll be familiar enough with these procedures... I hope.
-- 
Cheers,
haj




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug No longer marked as fixed in versions 28.1 and reopened.
Date: Thu, 19 Nov 2020 17:08:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug No longer marked as fixed in versions 28.1 and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 19 Nov 2020 19:33:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 19 14:33:15 2020
Received: from localhost ([127.0.0.1]:40945 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kfpgB-0008QH-HR
	for submit <at> debbugs.gnu.org; Thu, 19 Nov 2020 14:33:15 -0500
Received: from mout01.posteo.de ([185.67.36.65]:36108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1kfpgA-0008Q2-8V
 for control <at> debbugs.gnu.org; Thu, 19 Nov 2020 14:33:15 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id D74F116005F
 for <control <at> debbugs.gnu.org>; Thu, 19 Nov 2020 20:33:07 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1605814387; bh=/QTp7zjvuGeRqmtnivtT02dJQlrom2mzmqFn5tdla9k=;
 h=From:To:Subject:Date:From;
 b=TN8D4wp4ZmknnduVKShU8RhA8khjQJzbWqVC2CD3bqwtDSUQWB/KOkFahsLxBTfCq
 I2o5rIXeTHzIzgBgdUDyNkTdg6ZGozQUjrEm8x9nJMEc4NwDV8LL5zwVhq3yn8reV+
 XpxWPkAt5VSr83aYgcQIAAqS08teAFOL700koTIM+Hq5w2KN+iYbEGXraJvQgrh4WA
 PbzpkhE5gR/e6/QAVznoqgaMUHUMHnphBuWIT4HE8ITQjM0wGZRzcq4JDKzyYCQtIZ
 s2JwO33eFfPoG2NURbmYX+EuguOSM8k5VGVsJmBTtZUWp8sDrHqjIDv2KNOqfm5yrw
 eR8PUvsW5xMOw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CcVFv2yVjz9rxM
 for <control <at> debbugs.gnu.org>; Thu, 19 Nov 2020 20:33:07 +0100 (CET)
From: haj@HIDDEN (Harald =?utf-8?Q?J=C3=B6rg?=)
To: control <at> debbugs.gnu.org
Subject: bug#997: Adjusting the tags: - fixed
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Thu, 19 Nov 2020 20:33:06 +0100
Message-ID: <87h7pl6t1p.fsf@hajtower>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 997 - fixed
found 28.0.50
thanks

The patch which fixed the previously merged bug 26850 doesn't help with
the issue in this bug report.  So, the tag "fixed" does not apply and
should better be removed.
-- 
Cheers,
haj




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 19 Nov 2020 21:24:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 19 16:24:34 2020
Received: from localhost ([127.0.0.1]:41171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kfrPu-0006wZ-3c
	for submit <at> debbugs.gnu.org; Thu, 19 Nov 2020 16:24:34 -0500
Received: from mout02.posteo.de ([185.67.36.66]:38691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1kfrPr-0006wH-NB
 for control <at> debbugs.gnu.org; Thu, 19 Nov 2020 16:24:32 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 287DE2400FE
 for <control <at> debbugs.gnu.org>; Thu, 19 Nov 2020 22:24:24 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1605821065; bh=TK46O0R9xzfrEBTa+brfaui1U3ndk8F1F67G1Ebcei4=;
 h=From:To:Subject:Date:From;
 b=fb5A2GdWq2AZf8fyVp54NkAurD63t3TDN7n72XxkgeHhWen+bmr8KJoTLRqO0OWFi
 kbJ/Iy6LPfqJs7DUFeyjUAgozFWFubPjubdukfM7ca1Z8Vp7XbugMoVVrleVIuibqW
 c6J6IL81YCigA/IooDhjSDneV3f2DiihGzXlr5UwBsJKTSdouEBV772DerZldEVJqX
 qvrxXpe5Wjjaonw1ouRd1hD4wJam1cUxvORfnuixGNakehFvUq74iq6eoGzhCf1vTn
 1GGXxvl7UaD3ZOzBsBZUpKAJBm62ijc3Gf5JFn9jilfRNT6Fc8lH8qFWEnf8hEoSdu
 a0MKYIljfHAcg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CcXkJ592kz9rxK
 for <control <at> debbugs.gnu.org>; Thu, 19 Nov 2020 22:24:24 +0100 (CET)
From: haj@HIDDEN (Harald =?utf-8?Q?J=C3=B6rg?=)
To: GNU bug tracker automated control server <control <at> debbugs.gnu.org>
Subject: Bug#997: Ah, it is called "retitle" now.
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Thu, 19 Nov 2020 22:24:24 +0100
Message-ID: <874kll6nw7.fsf@hajtower>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

retitle 997 perl-mode: Incorrect syntax highlighting for regex at top-level
thanks

I copied the 'title' command from this bug's history without checking
the documentation first.  Sorry.
-- 
Cheers,
haj





Last modified: Thu, 19 Nov 2020 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.